#include <iostream>
using namespace std;

int main()
{
    int n,x[100001],y[100001],z[100001];
    int s;
    cin>>n;
    for(int  i=0;i<n;i++)
        cin>>x[i];
    for(int i=0;i<n;i++)
        cin>>y[i];
    for(int i=0;i<n;i++)
        cin>>z[i];
    for(int i=0;i<n;i++)
    for(int j=0;j<n;j++)
    {
        if(x[i]==y[j])
            for(int l=0;l<n;l++)
            if(j+1==z[l])
            s+=1;
    }
    cout<<s;
    return 0;
}